
/*
 * Copyright (C) 2010-2014 Oracle Corporation
 *
 * This file is part of the VirtualBox SDK, as available from
 * http://www.virtualbox.org.  This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, in version 2.1
 * as it comes in the "COPYING.LIB" file of the VirtualBox SDK distribution.
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * IWebsessionManager.java
 *
 * DO NOT EDIT! This is a generated file.
 * Generated from: src/VBox/Main/idl/VirtualBox.xidl (VirtualBox's interface definitions in XML)
 * Generator: src/VBox/Main/glue/glue-java.xsl
 */

package org.virtualbox_4_3;

import org.virtualbox_4_3.jaxws.*;
import javax.xml.ws.*;
import java.util.List;


/**
Websession manager. This provides essential services
to webservice clients.

Interface ID: <tt>{DEA1B4C7-2DE3-418A-850D-7868617F7733}</tt>
*/
public class IWebsessionManager extends IUnknown
{

    public IWebsessionManager(String wrapped, VboxPortType port)
    {
        super(wrapped, port);
    }
    public static IWebsessionManager queryInterface(IUnknown obj)
    {
        return obj == null ?  null : new IWebsessionManager(obj.getWrapped(), obj.getRemoteWSPort());
    }

/**
Logs a new client onto the webservice and returns a managed object reference to
the IVirtualBox instance, which the client can then use as a basis to further
queries, since all calls to the VirtualBox API are based on the IVirtualBox
interface, in one way or the other.

*/
    public org.virtualbox_4_3.IVirtualBox logon(String username, String password)
    {
        try
        {
            String retVal;
        retVal = port.iWebsessionManagerLogon(username, password);
            return (retVal.length() > 0) ? new org.virtualbox_4_3.IVirtualBox(retVal, port) : null;
        }
        catch (InvalidObjectFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
        catch (RuntimeFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
    }

/**
Returns a managed object reference to the internal ISession object that was created
for this web service session when the client logged on.

@see org.virtualbox_4_3.ISession

*/
    public org.virtualbox_4_3.ISession getSessionObject(org.virtualbox_4_3.IVirtualBox refIVirtualBox)
    {
        try
        {
            String retVal;
        retVal = port.iWebsessionManagerGetSessionObject(((refIVirtualBox == null) ? null :refIVirtualBox.getWrapped()));
            return (retVal.length() > 0) ? new org.virtualbox_4_3.ISession(retVal, port) : null;
        }
        catch (InvalidObjectFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
        catch (RuntimeFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
    }

/**
Logs off the client who has previously logged on with {@link org.virtualbox_4_3.IWebsessionManager#logon(String,String)}and destroys all resources associated with the session (most importantly, all
managed objects created in the server while the session was active).

*/
    public void logoff(org.virtualbox_4_3.IVirtualBox refIVirtualBox)
    {
        try
        {
        port.iWebsessionManagerLogoff(((refIVirtualBox == null) ? null :refIVirtualBox.getWrapped()));
        }
        catch (InvalidObjectFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
        catch (RuntimeFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.port);
        }
    }
}
