
/*
 * Copyright (C) 2010-2014 Oracle Corporation
 *
 * This file is part of the VirtualBox SDK, as available from
 * http://www.virtualbox.org.  This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, in version 2.1
 * as it comes in the "COPYING.LIB" file of the VirtualBox SDK distribution.
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * VBoxEventType.java
 *
 * DO NOT EDIT! This is a generated file.
 * Generated from: src/VBox/Main/idl/VirtualBox.xidl (VirtualBox's interface definitions in XML)
 * Generator: src/VBox/Main/glue/glue-java.xsl
 */

package org.virtualbox_4_3;

import org.virtualbox_4_3.jaxws.*;
import javax.xml.ws.*;

/**
Type of an event.
See {@link org.virtualbox_4_3.IEvent}for an introduction to VirtualBox event handling.

Interface ID: <tt>{5248E377-E578-47D7-B07B-84B1DB6DB8A8}</tt>
*/
public enum VBoxEventType
{

/**
Invalid event, must be first.

*/
    Invalid(0),

/**
Wildcard for all events.
Events of this type are never delivered, and only used in
{@link org.virtualbox_4_3.IEventSource#registerListener(org.virtualbox_4_3.IEventListener,List,Boolean)}call to simplify registration.

*/
    Any(1),

/**
Wildcard for all vetoable events. Events of this type are never delivered, and only
used in {@link org.virtualbox_4_3.IEventSource#registerListener(org.virtualbox_4_3.IEventListener,List,Boolean)}call to simplify registration.

*/
    Vetoable(2),

/**
Wildcard for all machine events. Events of this type are never delivered, and only used in
{@link org.virtualbox_4_3.IEventSource#registerListener(org.virtualbox_4_3.IEventListener,List,Boolean)}call to simplify registration.

*/
    MachineEvent(3),

/**
Wildcard for all snapshot events. Events of this type are never delivered, and only used in
{@link org.virtualbox_4_3.IEventSource#registerListener(org.virtualbox_4_3.IEventListener,List,Boolean)}call to simplify registration.

*/
    SnapshotEvent(4),

/**
Wildcard for all input device (keyboard, mouse) events.
Events of this type are never delivered, and only used in
{@link org.virtualbox_4_3.IEventSource#registerListener(org.virtualbox_4_3.IEventListener,List,Boolean)}call to simplify registration.

*/
    InputEvent(5),

/**
Last wildcard.

*/
    LastWildcard(31),

/**
See {@link org.virtualbox_4_3.IMachineStateChangedEvent}.

*/
    OnMachineStateChanged(32),

/**
See {@link org.virtualbox_4_3.IMachineDataChangedEvent}.

*/
    OnMachineDataChanged(33),

/**
See {@link org.virtualbox_4_3.IExtraDataChangedEvent}.

*/
    OnExtraDataChanged(34),

/**
See {@link org.virtualbox_4_3.IExtraDataCanChangeEvent}.

*/
    OnExtraDataCanChange(35),

/**
See {@link org.virtualbox_4_3.IMediumRegisteredEvent}.

*/
    OnMediumRegistered(36),

/**
See {@link org.virtualbox_4_3.IMachineRegisteredEvent}.

*/
    OnMachineRegistered(37),

/**
See {@link org.virtualbox_4_3.ISessionStateChangedEvent}.

*/
    OnSessionStateChanged(38),

/**
See {@link org.virtualbox_4_3.ISnapshotTakenEvent}.

*/
    OnSnapshotTaken(39),

/**
See {@link org.virtualbox_4_3.ISnapshotDeletedEvent}.

*/
    OnSnapshotDeleted(40),

/**
See {@link org.virtualbox_4_3.ISnapshotChangedEvent}.

*/
    OnSnapshotChanged(41),

/**
See {@link org.virtualbox_4_3.IGuestPropertyChangedEvent}.

*/
    OnGuestPropertyChanged(42),

/**
See {@link org.virtualbox_4_3.IMousePointerShapeChangedEvent}.

*/
    OnMousePointerShapeChanged(43),

/**
See {@link org.virtualbox_4_3.IMouseCapabilityChangedEvent}.

*/
    OnMouseCapabilityChanged(44),

/**
See {@link org.virtualbox_4_3.IKeyboardLedsChangedEvent}.

*/
    OnKeyboardLedsChanged(45),

/**
See {@link org.virtualbox_4_3.IStateChangedEvent}.

*/
    OnStateChanged(46),

/**
See {@link org.virtualbox_4_3.IAdditionsStateChangedEvent}.

*/
    OnAdditionsStateChanged(47),

/**
See {@link org.virtualbox_4_3.INetworkAdapterChangedEvent}.

*/
    OnNetworkAdapterChanged(48),

/**
See {@link org.virtualbox_4_3.ISerialPortChangedEvent}.

*/
    OnSerialPortChanged(49),

/**
See {@link org.virtualbox_4_3.IParallelPortChangedEvent}.

*/
    OnParallelPortChanged(50),

/**
See {@link org.virtualbox_4_3.IStorageControllerChangedEvent}.

*/
    OnStorageControllerChanged(51),

/**
See {@link org.virtualbox_4_3.IMediumChangedEvent}.

*/
    OnMediumChanged(52),

/**
See {@link org.virtualbox_4_3.IVRDEServerChangedEvent}.

*/
    OnVRDEServerChanged(53),

/**
See {@link org.virtualbox_4_3.IUSBControllerChangedEvent}.

*/
    OnUSBControllerChanged(54),

/**
See {@link org.virtualbox_4_3.IUSBDeviceStateChangedEvent}.

*/
    OnUSBDeviceStateChanged(55),

/**
See {@link org.virtualbox_4_3.ISharedFolderChangedEvent}.

*/
    OnSharedFolderChanged(56),

/**
See {@link org.virtualbox_4_3.IRuntimeErrorEvent}.

*/
    OnRuntimeError(57),

/**
See {@link org.virtualbox_4_3.ICanShowWindowEvent}.

*/
    OnCanShowWindow(58),

/**
See {@link org.virtualbox_4_3.IShowWindowEvent}.

*/
    OnShowWindow(59),

/**
See {@link org.virtualbox_4_3.ICPUChangedEvent}.

*/
    OnCPUChanged(60),

/**
See {@link org.virtualbox_4_3.IVRDEServerInfoChangedEvent}.

*/
    OnVRDEServerInfoChanged(61),

/**
See {@link org.virtualbox_4_3.IEventSourceChangedEvent}.

*/
    OnEventSourceChanged(62),

/**
See {@link org.virtualbox_4_3.ICPUExecutionCapChangedEvent}.

*/
    OnCPUExecutionCapChanged(63),

/**
See {@link org.virtualbox_4_3.IGuestKeyboardEvent}.

*/
    OnGuestKeyboard(64),

/**
See {@link org.virtualbox_4_3.IGuestMouseEvent}.

*/
    OnGuestMouse(65),

/**
See {@link org.virtualbox_4_3.INATRedirectEvent}.

*/
    OnNATRedirect(66),

/**
See {@link org.virtualbox_4_3.IHostPCIDevicePlugEvent}.

*/
    OnHostPCIDevicePlug(67),

/**
See {@link org.virtualbox_4_3.IVBoxSVCAvailabilityChangedEvent}.

*/
    OnVBoxSVCAvailabilityChanged(68),

/**
See {@link org.virtualbox_4_3.IBandwidthGroupChangedEvent}.

*/
    OnBandwidthGroupChanged(69),

/**
See {@link org.virtualbox_4_3.IGuestMonitorChangedEvent}.

*/
    OnGuestMonitorChanged(70),

/**
See {@link org.virtualbox_4_3.IStorageDeviceChangedEvent}.

*/
    OnStorageDeviceChanged(71),

/**
See {@link org.virtualbox_4_3.IClipboardModeChangedEvent}.

*/
    OnClipboardModeChanged(72),

/**
See {@link org.virtualbox_4_3.IDragAndDropModeChangedEvent}.

*/
    OnDragAndDropModeChanged(73),

/**
See {@link org.virtualbox_4_3.INATNetworkChangedEvent}.

*/
    OnNATNetworkChanged(74),

/**
See {@link org.virtualbox_4_3.INATNetworkStartStopEvent}.

*/
    OnNATNetworkStartStop(75),

/**
See {@link org.virtualbox_4_3.INATNetworkAlterEvent}.

*/
    OnNATNetworkAlter(76),

/**
See {@link org.virtualbox_4_3.INATNetworkCreationDeletionEvent}.

*/
    OnNATNetworkCreationDeletion(77),

/**
See {@link org.virtualbox_4_3.INATNetworkSettingEvent}.

*/
    OnNATNetworkSetting(78),

/**
See {@link org.virtualbox_4_3.INATNetworkPortForwardEvent}.

*/
    OnNATNetworkPortForward(79),

/**
See {@link org.virtualbox_4_3.IGuestSessionStateChangedEvent}.

*/
    OnGuestSessionStateChanged(80),

/**
See {@link org.virtualbox_4_3.IGuestSessionRegisteredEvent}.

*/
    OnGuestSessionRegistered(81),

/**
See {@link org.virtualbox_4_3.IGuestProcessRegisteredEvent}.

*/
    OnGuestProcessRegistered(82),

/**
See {@link org.virtualbox_4_3.IGuestProcessStateChangedEvent}.

*/
    OnGuestProcessStateChanged(83),

/**
See {@link org.virtualbox_4_3.IGuestProcessInputNotifyEvent}.

*/
    OnGuestProcessInputNotify(84),

/**
See {@link org.virtualbox_4_3.IGuestProcessOutputEvent}.

*/
    OnGuestProcessOutput(85),

/**
See {@link org.virtualbox_4_3.IGuestFileRegisteredEvent}.

*/
    OnGuestFileRegistered(86),

/**
See {@link org.virtualbox_4_3.IGuestFileStateChangedEvent}.

*/
    OnGuestFileStateChanged(87),

/**
See {@link org.virtualbox_4_3.IGuestFileOffsetChangedEvent}.

*/
    OnGuestFileOffsetChanged(88),

/**
See {@link org.virtualbox_4_3.IGuestFileReadEvent}.

*/
    OnGuestFileRead(89),

/**
See {@link org.virtualbox_4_3.IGuestFileWriteEvent}.

*/
    OnGuestFileWrite(90),

/**
See {@link org.virtualbox_4_3.IVideoCaptureChangedEvent}.

*/
    OnVideoCaptureChanged(91),

/**
See {@link org.virtualbox_4_3.IGuestUserStateChangedEvent}.

*/
    OnGuestUserStateChanged(92),

/**
See {@link org.virtualbox_4_3.IGuestMouseEvent}.

*/
    OnGuestMultiTouch(93),

/**
See {@link org.virtualbox_4_3.IHostNameResolutionConfigurationChangeEvent}.

*/
    OnHostNameResolutionConfigurationChange(94),

/**
Must be last event, used for iterations and structures relying on numerical event values.

*/
    Last(95);

    private final int value;

    VBoxEventType(int v)
    {
        value = v;
    }

    public int value()
    {
        return value;
    }

    public static VBoxEventType fromValue(long v)
    {
        for (VBoxEventType c: VBoxEventType.values())
        {
            if (c.value == (int)v)
            {
                return c;
            }
        }
        throw new IllegalArgumentException(Long.toString(v));
    }

    public static VBoxEventType fromValue(String v)
    {
        return valueOf(VBoxEventType.class, v);
    }
}

